Subject: Re: please do me a favor
From: "Mark Kubacki" <[email-masked]>
To: "Patricia Finan" <[email-masked]>
Date: Sat, 13 Mar 2004 15:57:40 -0500

Patty 

There should be some pictures of inside the museums. That way if pople can see what is in the museums. I am sure they would enjoy that. Everything else looks ok. 
  ----- Original Message ----- 
  From: Patricia Finan 
  To: Mom & Dad ; Aunt Jane ; Amanda Musolff ; Britteny Howell ; Cam ; Cathy & Brian ; Debbie I ; Eileen ; Faith Bishop ; Jane Wilkinson ; Joyce Stanek ; Lisa Camstra ; Mark Kubacki ; Melisa & Mike ; Pat Kelly/Angel DeBene 
  Sent: Saturday, March 13, 2004 2:54 PM
  Subject: please do me a favor

  Hi everyone!

  I need a favor, please. I recently made a lot of changes to our museum's Web site and I need some guinea pigs. Please go take a look at www.huroncitymuseums.org and tell me what you think. I am looking for any suggestions about what would make it easier to read, movement from screen to screen, what should be added, what doesn't make sense etc. Feel free to critique! Whenever you get a chance is fine. 

  Thanks - I appreciate it!
  Patty Finan
  Huron City Museums
  7995 Pioneer Drive
  Port Austin MI 48467
  989-738-6007